Skip to main content
`Ctrl`+`K`

# SNESSetKSP

Sets a `KSP` context for the `SNES` object to use

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetKSP(SNES snes, KSP ksp)

Not Collective, but the `SNES` and `KSP` objects must live on the same `MPI_Comm`

## Input Parameters

- snes - the `SNES` context

- ksp - the `KSP` context

## Notes

The `SNES` object already has its `KSP` object, you can obtain with `SNESGetKSP()` so this routine is rarely needed.

The `KSP` object that is already in the `SNES` object has its reference count decreased by one when this is called.

## See Also

SNES: Nonlinear Solvers, `SNES`, `KSP`, `KSPGetPC()`, `SNESCreate()`, `KSPCreate()`

## Level

developer

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages